### Method

# Pango GlyphItem get_logical_widths

since: 1.26

#### Declaration [src]

    void
    pango_glyph_item_get_logical_widths (
      PangoGlyphItem* glyph_item,
      const char* text,
      int* logical_widths
    )

#### Description [src]

Given a `PangoGlyphItem` and the corresponding text, determine the width corresponding to each character.

When multiple characters compose a single cluster, the width of the entire cluster is divided equally among the characters.

See also `pango_glyph_string_get_logical_widths()`.

Available since: 1.26

#### Parameters

`text`

  Type: `const char*`

  Text that `glyph_item` corresponds to (glyph_item->item->offset is an offset from the start of `text`).

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`logical_widths`

  Type: An array of `int`

  An array whose length is the number of characters in glyph_item (equal to glyph_item->item->num_chars) to be filled in with the resulting character widths.

  The data is owned by the caller of the method.